## don't replace ltmain.sh
%define __libtoolize :

%define glib2_version 2.2.3
%define gtk2_version 2.2.4
%define pango_version 1.2.5
%define startup_notification_version 0.4

Summary: Window Navigator Construction Kit
Name: libwnck
Version: 2.4.0.1
Release: 0vl1.1
URL: ftp://ftp.gnome.org
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Patch1: libwnck-21124.patch

Requires: glib2 >= %{glib2_version}
Requires: gtk2 >= %{gtk2_version}
Requires: startup-notification >= %{startup_notification_version}

BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  startup-notification-devel >= %{startup_notification_version}

%description

libwnck (pronounced "libwink") is used to implement pagers, tasklists, 
and other such things. It allows applications to monitor information 
about open windows, workspaces, their names/icons, and so forth.

%package devel
Summary: Libraries and headers for libwnck
Group: Development/Libraries
Requires: %name = %{version}

Requires: glib2-devel >= %{glib2_version}
Requires: pango-devel >= %{pango_version}
Requires: gtk2-devel >= %{gtk2_version}

%description devel


libwnck (pronounced "libwink") is used to implement pagers, tasklists, 
and other such things. It allows applications to monitor information 
about open windows, workspaces, their names/icons, and so forth.

You should install the libwnck-devel package if you would like to
compile applications that use libwnck. You don't need libwnck-devel 
just to use precompiled applications.

%prep
%setup -q
%patch1 -p1

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog README

%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
## %{_datadir}/gtk-doc

%changelog
* Fri Feb 20 2004 Tomohito MAKINO <tomohito@ueda.info.waseda.ac.jp> 2.4.0.1-0vl1.1
- add patch1 ( http://bugzilla.gnome.org/show_bug.cgi?id=122086 , Kim Woelders's 2003-11-02 patch )
* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0.1-0vl1
- new upstream release

* Wed Sep 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Sat May 31 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.1-0vl1
- new upstream release

* Fri Apr 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Sat Jan 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl1
- new upstream release

* Wed Jan  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl2
- fixed BuildRequires/Requires.

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- build for Vine Linux
- new upstream release from gnome-2.1.4

* Fri Nov  8 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3

* Thu Oct 31 2002 Havoc Pennington <hp@redhat.com>
- 0.18 that displays standalone dialogs in task list

* Sun Aug 25 2002 Havoc Pennington <hp@redhat.com>
- 0.17 allows clicking a task to minimize it, and DND over a task to
  switch to it, adds translations, and fixes a couple crash things in
  the accessibility stuff.

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 0.16 with some tasklist fixes and 
  pager fixes

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- remove empty NEWS

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 0.14

* Thu Jun 06 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 0.13
- add ldconfig to post/postun

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- 0.12

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 0.9

* Wed Apr 17 2002 Havoc Pennington <hp@redhat.com>
- 0.8

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.3

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild with new glib and gtk+

* Wed Jan 23 2002 Havoc Pennington <hp@redhat.com>
- Initial build

